MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002072VCMIMechanics - Adventure Mappublic2015-02-14 03:012016-08-23 05:00
ReporterSXX 
Assigned ToWarmonger 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.97b 
Target VersionFixed in Version0.98e 
Summary0002072: After loading save of last 7 day without town you lose
DescriptionIt's happen even if your heroes still have movement points and it's one day before deadline.
Steps To Reproduce  - Start on any map without a castle.
  - Just end the turn 6 times.
  - Now it's last day when you may capture town.
  - Save game.
  - Exit and try to load this save.
TagsNo tags attached.
Attached Files? file icon testy Capture Town.h3m [^] (2,433 bytes) 2015-10-24 16:32

- Relationships
related to 0002311closedWarmonger Heroes just closed when turn AI 
has duplicate 0002247resolvedSXX Incorrect calculation of days left to capture castle that prevents from losing game after game load 
related to 0001583resolvedWarmonger Player warning 'you only have x days left to capture a town' doesn't popup the first time + further tweaks for player warnings 
related to 0002462resolvedSXX PlayerState::daysWithoutCastle desync due to CGameHandler code 

-  Notes
(0005974)
Warmonger (administrator)
2015-10-24 16:05

Confirmed, attaching test map.
(0005975)
Warmonger (administrator)
2015-10-24 16:08

Indeed, counter is incremented every time player gets turn - even if that's still the same turn.
(0005977)
Warmonger (administrator)
2015-10-24 16:22

Fixed in https://github.com/vcmi/vcmi/commit/eb0af0096e1c54459a1c825687cf3ddba25635f5 [^]
(0005983)
SXX (administrator)
2015-10-24 16:53

Tested and confirm it's fixed.

- Issue History
Date Modified Username Field Change
2015-02-14 03:01 SXX New Issue
2015-02-22 02:45 SXX Summary After loading save of last day 7 town you lose => After loading save of last 7 day without town you lose
2015-10-24 15:38 Warmonger Relationship added related to 0002311
2015-10-24 15:58 Warmonger Relationship added related to 0001583
2015-10-24 16:05 Warmonger Status new => confirmed
2015-10-24 16:05 Warmonger Note Added: 0005974
2015-10-24 16:08 Warmonger Note Added: 0005975
2015-10-24 16:22 Warmonger Note Added: 0005977
2015-10-24 16:22 Warmonger Status confirmed => resolved
2015-10-24 16:22 Warmonger Fixed in Version => 0.98e
2015-10-24 16:22 Warmonger Resolution open => fixed
2015-10-24 16:22 Warmonger Assigned To => Warmonger
2015-10-24 16:32 Warmonger File Added: testy Capture Town.h3m
2015-10-24 16:53 SXX Note Added: 0005983
2015-11-25 06:47 SXX Relationship added has duplicate 0002247
2016-08-23 05:00 SXX Relationship added related to 0002459
2016-08-23 05:00 SXX Relationship deleted related to 0002459
2016-08-23 05:00 SXX Relationship added related to 0002462

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean